/* Styling the modal and backdrop */

.oersi-modal-dialog::-webkit-scrollbar {
	width: 5px;
}

.oersi-modal-dialog::-webkit-scrollbar-track-piece {
	background-color: #fafafa;
}

.oersi-modal-dialog::-webkit-scrollbar-thumb:vertical {
	height: 50px;
	background: -webkit-gradient(
		linear,
		left top,
		right top,
		color-stop(0, #ccc),
		color-stop(100%, #ccc)
	);
	border: 1px solid #0d0d0d;
	border-top: 1px solid #666;
	border-left: 1px solid #666;
	border-radius: 50px;
}

.oersi-modal-dialog::-webkit-scrollbar-thumb:horizontal {
	width: 50px;
	background: -webkit-gradient(
		linear,
		left top,
		left bottom,
		color-stop(0, #ccc),
		color-stop(100%, #ccc)
	);
	border: 1px solid #1f1f1f;
	border-top: 1px solid #666;
	border-left: 1px solid #666;
	border-radius: 50px;
}

.oersi-modal-dialog {
	width: 100%;
	max-width: max-content;
	padding: 0;
	background: #fff;
	border-radius: 8px;
	border: 1px solid #dedede;
	box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
	animation: scale-in 0.4s ease-out;
}

.oersi-modal-dialog::backdrop {
	background: radial-gradient(
		circle,
		rgba(5, 5, 5, 0.5) 0%,
		rgba(20, 19, 19, 0.7) 100%
	);
	cursor: pointer;
}

/* Styling inside of the modal */

.oersi-modal-dialog header {
	position: sticky;
	top: 0;
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding-bottom: 24px;
	background: #fff;
	border-bottom: 1px solid rgba(238, 118, 116, 1);
}

.oersi-modal-dialog footer {
	border-top: 1px solid rgba(238, 118, 116, 1);
}

.oersi-modal-dialog > * {
	padding: 24px;
}

.oersi-modal-dialog p:last-of-type {
	margin-bottom: 0;
}

/* bouncy animation because i can */
@keyframes scale-in {
	0% {
		opacity: 0;
	}
	50% {
		opacity: 1;
		transform: scale(0.9);
	}
	100% {
		transform: scale(1);
	}
}

/* quick and dirty button styling, forgive me ;) */
.btn-oersi {
	display: inline-block;
	font-family: 'Merriweather', sans-serif;
	border: 1px solid transparent;
	border-radius: 12px;
	cursor: pointer;
}

.btn-oersi-primary {
	padding: 20px 50px;
	font-size: 1.6rem;
	line-height: 1.6rem;
	letter-spacing: 2px;
	font-weight: 700;
	background: #987284;
	border-color: #987284;
	color: #fff;
	transition: all 0.24s;
}

.btn-oersi-primary:hover,
.btn-oersi-primary:active {
	background-color: #855f71;
	border-color: #855f71;
}

.btn-oersi-primary-outline {
	padding: 10px 25px;
	font-size: 1.2rem;
	letter-spacing: 0;
	color: #987284;
	background: #fff;
	border-width: 2px;
	border-color: #987284;
	border-radius: 6px;
	transition: all 0.24s;
}

.btn-oersi-primary-outline:hover,
.btn-oersi-primary-outline:active {
	border-color: #855f71;
}

.btn-oersi-icon {
	padding: 0;
	background: transparent;
	width: 24px;
	height: 24px;
	color: #987284;
}
